Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 972480 - Review Request: SkyX - Photorealistic sky simulator
Review Request: SkyX - Photorealistic sky simulator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gazebo
  Show dependency treegraph
 
Reported: 2013-06-09 13:18 EDT by Rich Mattes
Modified: 2013-11-10 02:20 EST (History)
3 users (show)

See Also:
Fixed In Version: SkyX-0.4-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:20:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2013-06-09 13:18:36 EDT
Spec URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX-0.3.1-1.fc19.src.rpm
Description: 
SkyX is a photo-realistic, simple and fast sky simulator.  It can be used
with the OGRE engine.

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint SkyX.spec 
SkyX.spec: W: invalid-url Source0: SkyX-v0.3.1.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
[rich@primus SPECS]$ rpmlint SkyX.spec  ../RPMS/x86_64/SkyX-*
SkyX.spec: W: invalid-url Source0: SkyX-v0.3.1.tar.bz2
SkyX.x86_64: W: spelling-error Summary(en_US) Photorealistic -> Photo realistic, Photo-realistic, Prehistorical
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX.material
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.fragment
SkyX.x86_64: E: library-without-ldconfig-postin /usr/lib64/libSkyX.so.0.3.1
SkyX.x86_64: E: library-without-ldconfig-postun /usr/lib64/libSkyX.so.0.3.1
SkyX.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SkyX-0.3.1/Readme.txt
SkyX.x86_64: W: file-not-utf8 /usr/share/doc/SkyX-0.3.1/Readme.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX-0.3.1/Readme.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.vertex
SkyX.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/SkyX-0.3.1/License.txt
SkyX.x86_64: W: file-not-utf8 /usr/share/doc/SkyX-0.3.1/License.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX-0.3.1/License.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.fragment
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/FastFakeRandom.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/VClouds.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/GeometryManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/Ellipsoid.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/GPUManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/Ellipsoid.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/BasicController.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VCloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/MeshManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VCloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/AtmosphereManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/GeometryBlock.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/MoonManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/DataManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/GeometryManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/GPUManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/GeometryBlock.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/FastFakeRandom.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/DataManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/Lightning.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/CloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/ColorGradient.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/SkyX.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/LightningManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/Controller.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/BasicController.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/CloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/VClouds/VClouds.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/MoonManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Include/MeshManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/LightningManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/ColorGradient.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/SkyX.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/AtmosphereManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.3.1/SkyX/Source/VClouds/Lightning.cpp
SkyX-devel.x86_64: W: no-documentation
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/LightningManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Ellipsoid.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/ColorGradient.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/FastFakeRandom.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Prerequisites.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Lightning.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/SkyX.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MeshManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/CloudsManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/DataManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/AtmosphereManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/VClouds.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Controller.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MoonManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/GPUManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryBlock.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/BasicController.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VCloudsManager.h
3 packages and 1 specfiles checked; 80 errors, 7 warnings.
Comment 1 Christopher Meng 2013-07-21 20:32:54 EDT
What's its latest version?

0.3 or 0.4?

Besides, are these wrong fsf address issues fixed by upstream? If not can you notify them?

Thanks.
Comment 2 Rich Mattes 2013-07-21 21:11:00 EDT
Sorry, 0.4 is the latest version.  I updated the SRPM but forgot to upload it.  You can find it here:

Spec URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX-0.4-1.fc19.src.rpm

I contacted upstream about the FSF address through the form at http://www.paradise-studios.net/?page_id=276 and fixed the warnings about the wrong line endings and lack of ldconfig call.

$ rpmlint SkyX.spec ../RPMS/x86_64/SkyX*0.4-1*
SkyX.spec: W: invalid-url Source0: SkyX-v0.4.tar.bz2
SkyX.x86_64: W: spelling-error Summary(en_US) Photorealistic -> Photo realistic, Photo-realistic, Prehistorical
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX.material
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX-0.4/License.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX-0.4/Readme.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.fragment
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/CloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/Ellipsoid.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/Ellipsoid.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/Lightning.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/BasicController.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/DataManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/MoonManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/FastFakeRandom.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/VClouds.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/SkyX.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/VClouds.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/GeometryManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/LightningManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/LightningManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/DataManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VCloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/GPUManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/MeshManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/CloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/ColorGradient.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/GeometryBlock.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/AtmosphereManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/BasicController.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/ColorGradient.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/GeometryBlock.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/GeometryManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/GPUManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/VClouds/Lightning.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/AtmosphereManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/MoonManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/MeshManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VClouds/FastFakeRandom.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/VCloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Include/Controller.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-v0.4/SkyX/Source/SkyX.cpp
SkyX-devel.x86_64: W: no-documentation
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/LightningManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Ellipsoid.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/ColorGradient.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/FastFakeRandom.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Prerequisites.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Lightning.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/SkyX.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MeshManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/CloudsManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/DataManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/AtmosphereManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/VClouds.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Controller.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MoonManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/GPUManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryBlock.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/BasicController.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VCloudsManager.h
3 packages and 1 specfiles checked; 78 errors, 3 warnings.
Comment 3 Christopher Meng 2013-07-21 21:51:22 EDT
I hope you can get reply from upstream ASAP. Please also request a modified release with fsf fixes if they can.

BTW can you request a downloadable link from upstream again?
Comment 4 Rich Mattes 2013-07-22 22:09:08 EDT
The source is downloadable upstream:
http://modclub.rigsofrods.com/xavi/SkyX/SkyX-v0.4.rar
http://modclub.rigsofrods.com/xavi/SkyX/SkyX-v0.3_CMake.rar

The problem is that:
1. They're packaged as .rar files, which can't be extracted without "unrar" from rpmfusion
2. The CMake build scripts and the sources are in two separate archives, and need to be combined before the program can be built.

Step two could be done in the spec file by specifying both source archives and then merging Source0 and Source1, but we can't extract rar archives on the buildsys.  The create_tarball_skyx.sh script that is included in the srpm downloads and combines both rar archives, and then packages them up in a bzip compressed tar in a reproducable way (minus timestamp issues.)

I haven't gotten a response from upstream about the FSF address issues, but I'll try to get in touch and request a source release that is packaged as something other than a rar file when they fix the FSF addresses.
Comment 5 Christopher Meng 2013-07-22 22:12:34 EDT
Yes, and such distrsbution way using rar is weird.

Please advise upstream to fix and change.

Hint, for rar problem, please search package "unar". You'll find the solution :)
Comment 6 Rich Mattes 2013-08-04 18:38:59 EDT
So i've been playing with unar, but it's kind of a pain to get to work with the %setup macro.  I think it's much less of a headache to just use the create tarball script (which is repeatable) until upstream comes up with a sane source distribution.  I haven't heard anything back yet about the FSF addresses.
Comment 7 Michael Schwendt 2013-08-05 03:01:26 EDT
What have you tried?

Use %setup option -T for not unpacking the tarballs automatically, then unar the .rar %{SOURCE0} into the build dir yourself.
Comment 8 Rich Mattes 2013-08-05 20:44:42 EDT
I tried setup -T, but it broke because the %{name}-%{version} directory wasn't being created before rpmbuild tried to cd into it.  I also had trouble trying to figure out the right macro (%{SOURCE0}) to use to get at the sources; I couldn't find it documented anywhere.  Tonight I remembered that the -c flag exists and armed with the correct macro I was able to get it working with unar.


Spec URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX-0.4-2.fc19.src.rpm

$ rpmlint SkyX.spec ./fedora-rawhide-x86_64/SkyX-0.4-2.fc19/SkyX-*
SkyX.src: W: spelling-error Summary(en_US) Photorealistic -> Photo realistic, Photo-realistic, Prehistorical
SkyX.x86_64: W: spelling-error Summary(en_US) Photorealistic -> Photo realistic, Photo-realistic, Prehistorical
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX.material
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX/Readme.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX/License.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.fragment
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/AtmosphereManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/VClouds.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/GeometryManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/Controller.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/VClouds.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/Lightning.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/ColorGradient.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/CloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/MoonManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/SkyX.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VCloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/BasicController.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VCloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/GeometryBlock.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/GeometryBlock.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/BasicController.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/SkyX.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/MeshManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/GeometryManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/FastFakeRandom.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/Ellipsoid.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/DataManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/LightningManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/CloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/MoonManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/FastFakeRandom.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/LightningManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/Lightning.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/GPUManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/DataManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/Ellipsoid.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/MeshManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/GPUManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/ColorGradient.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/AtmosphereManager.cpp
SkyX-devel.x86_64: W: no-documentation
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/LightningManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Ellipsoid.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/ColorGradient.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/FastFakeRandom.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Prerequisites.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Lightning.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/SkyX.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MeshManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/CloudsManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/DataManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/AtmosphereManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/VClouds.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Controller.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MoonManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/GPUManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryBlock.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/BasicController.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VCloudsManager.h
4 packages and 1 specfiles checked; 78 errors, 3 warnings.
Comment 9 Rich Mattes 2013-08-21 19:59:11 EDT
Any updates here?  I still haven't heard back from upstream about the copyright stuff.
Comment 10 Christopher Meng 2013-10-07 06:49:22 EDT
Have you tested it on x86_64?
Comment 11 Christopher Meng 2013-10-19 23:19:46 EDT
I think that http://www.paradise-studios.net/?page_id=185

is its homepage.

And from that page I can see LGPL, weird. Ideas?

Build failed:

http://fpaste.org/48058/23917513/
Comment 12 Rich Mattes 2013-10-19 23:29:26 EDT
Thanks for the comments.  I've fixed the build (I think) and corrected the license and URL.

Updated package:
Spec URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/skyx/SkyX-0.4-4.fc19.src.rpm

$ rpmlint SkyX.spec ../RPMS/x86_64/SkyX-*0.4-4*
SkyX.x86_64: W: spelling-error Summary(en_US) Photorealistic -> Photo realistic, Photo-realistic, Prehistorical
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX.material
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Moon.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Clouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX-0.4/License.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Lightning.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/doc/SkyX-0.4/Readme.txt
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.hlsl
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Ground.fragment
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_VolClouds.vertex
SkyX.x86_64: E: incorrect-fsf-address /usr/share/SKYX/Media/SkyX/SkyX_Skydome.fragment
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/AtmosphereManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/VClouds.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/GeometryManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/Controller.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/VClouds.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/Lightning.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/ColorGradient.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/CloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/MoonManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/SkyX.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VCloudsManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/BasicController.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/CloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VCloudsManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/GeometryBlock.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/GeometryBlock.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/BasicController.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/Prerequisites.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/MoonManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/SkyX.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/MeshManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/GeometryManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/FastFakeRandom.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/Ellipsoid.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/DataManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/LightningManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/FastFakeRandom.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/AtmosphereManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/LightningManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/Lightning.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/GPUManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/VClouds/DataManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/VClouds/Ellipsoid.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Include/MeshManager.h
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/GPUManager.cpp
SkyX-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/SkyX-0.4/SkyX/Source/ColorGradient.cpp
SkyX-devel.x86_64: W: no-documentation
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/LightningManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Ellipsoid.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/ColorGradient.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/FastFakeRandom.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Prerequisites.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/Lightning.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/SkyX.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MeshManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/CloudsManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/DataManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/AtmosphereManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/VClouds.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/Controller.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/MoonManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/GPUManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryBlock.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/BasicController.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VClouds/GeometryManager.h
SkyX-devel.x86_64: E: incorrect-fsf-address /usr/include/SKYX/VCloudsManager.h
3 packages and 1 specfiles checked; 79 errors, 2 warnings.
Comment 13 Christopher Meng 2013-10-20 01:45:47 EDT
PACKAGE APPROVED.

-----------

Things need to address on upstream side, please notify:

1. Files installed to %{_datadir}/SKYX, which makes me thinking that if upstream really want to release their project as SkyX or SKYX

2. Update incorrect FSF address.

3. /lib64 support, use GNUInstallDirs or LIB SUFFIX, sorry I don't have time to get a patch for you.
Comment 14 Rich Mattes 2013-10-20 13:43:08 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: SkyX
Short Description: Photo-realistic sky simulator
Owners: rmattes
Branches: f18 f19 f20 el6
InitialCC:
Comment 15 Gwyn Ciesla 2013-10-20 21:36:57 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-10-20 22:35:09 EDT
SkyX-0.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/SkyX-0.4-4.fc20
Comment 17 Fedora Update System 2013-10-21 14:30:37 EDT
SkyX-0.4-4.fc20 has been pushed to the Fedora 20 testing repository.
Comment 18 Fedora Update System 2013-11-10 02:20:10 EST
SkyX-0.4-4.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.